Bug 117848

Summary: Compile error with the latest glibc source (after 2004-03-01) on ia64 platform
Product: Red Hat Enterprise Linux 3 Reporter: Crystal Xiong <crystal.xiong>
Component: glibcAssignee: Jakub Jelinek <jakub>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3.0CC: drepper.fsp
Target Milestone: ---   
Target Release: ---   
Hardware: ia64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-05-28 02:47:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Crystal Xiong 2004-03-09 04:43:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
Got compile error when compiling the latest version (after 2004-03-
01) of glibc on ia64 platform with 2.6.1 kernel.

Version-Release number of selected component (if applicable):
cvs co -D 2004-03-09T12:00:00-0800 libc

How reproducible:
Always

Steps to Reproduce:
1. Configure the system as the following:

ia64 platform with 4 x Itanium2, 1GB DDR
kernel 2.6.1
Red Hat Enterprise Linux AS release 3 (Taroon Update 1 Beta)
gcc-3.3.3
binutils-2.14.90.0.4-26
Latest Glibc (checkout from cvs on the date after 2004-03-01)

2. Compile glibc

Actual Results:  Compile failures
==========================
.......
make  -C timezone subdir_install
make[2]: Entering directory `/root/glibc_test1/src/timezone'
/usr/bin/install -
c /root/glibc_test1/build/timezone/tzselect /root/glibc_test1//root/bi
n/tzselect.new
mv -
f /root/glibc_test1//root/bin/tzselect.new /root/glibc_test1//root/bin
/tzselect
/root/glibc_test1/build/elf/ld-linux-ia64.so.2 --library-
path /root/glibc_test1/build:/root/glibc_test1/build/math:/root/glibc_
test1/build/elf:/root/glibc_test1/build/dlfcn:/root/glibc_test1/build/
nss:/root/glibc_test1/build/nis:/root/glibc_test1/build/rt:/root/glibc
_test1/build/resolv:/root/glibc_test1/build/crypt:/root/glibc_test1/bu
ild/nptl /root/glibc_test1/build/timezone/zic -
d /root/glibc_test1//root/share/zoneinfo -L /dev/null -y ./yearistype 
africa
make[2]: *** [/root/glibc_test1//root/share/zoneinfo/Africa/Algiers] 
Segmentation fault
make[2]: Leaving directory `/root/glibc_test1/src/timezone'
make[1]: *** [timezone/subdir_install] Error 2
make[1]: Leaving directory `/root/glibc_test1/src'
make: *** [install] Error 2
make: Leaving directory `/root/glibc_test1/build'

Got correct result when compiling glibc on the date 2004-02-15.
Comment 1 Jakub Jelinek 2004-05-27 09:57:29 EDT
Are you able to reproduce this?  I have built glibc at least 10 times after
that date on ia64, in all cases without such problems.
If you are able to reproduce it, at least backtrace from the failing
program would be great.
Comment 2 Crystal Xiong 2004-05-27 13:09:06 EDT
Sorry I have no hardware to reproduce this now. But at that time, I 
have tried several times to build the glibc and got this failure.

I think you can marked this bug with workforme or something like 
that. 
Comment 3 Ulrich Drepper 2004-05-28 02:47:04 EDT
Works fine here.